Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have Ubuntu Server 10.04 with all packages updated. When I type nginx -v I get nginx version: nginx/0.7.65. When I go to nginx.org I see that the latest stable version is 1.0.10

Is it different version numeration or ubuntu in fact is running very old version? If so why? It's one of the essential packages for server (like apache, mysql etc.)

share|improve this question

2 Answers 2

up vote 5 down vote accepted

nginx 0.7.65 was released in February 2010. The 10.04 version number of your ubuntu indicates it's release was two months later. At the time of the release, this was the latest available stable version of nginx. If you look at the changelog for nginx in 10.04 you will see that they HAVE been releasing newer versions of this package in order to patch security problems. This is what is expected. Once a ubuntu release is made, You should not expect to get newer upstream versions, but instead to get security fixes to the existing versions. If ubuntu was to release new upstream versions instead of just security fixes, it would potentially introduce new bugs, and potentially force administrators to reconfigure servers just to get security patches, neither of which are desirable for a "stable" distro release.

share|improve this answer

you can add this repo and update to the latest version

deb http://nginx.org/packages/ubuntu/ lucid nginx

deb-src http://nginx.org/packages/ubuntu/ lucid nginx

share|improve this answer
    
apt-get will complain about security unless you add nginx keys to apt-get with wget nginx.org/keys/nginx_signing.key then cat nginx_signing.key | sudo apt-key add - –  trustfundbaby Dec 26 '12 at 12:49

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.